

var star = ["☆", "☆☆", "☆☆☆", "☆☆☆☆", "☆☆☆☆☆"];
function set_zhishu(recommended_index) {
     var zhishu = star[parseInt(recommended_index) - 1];
     return zhishu;
}

//打开详情
function open_detail(shop_id, shop_name) {
     if (getLocVal("login_if") == 1) {
          setLocVal("shop_id", shop_id);
          setLocVal("shop_name", shop_name);
          appcan.openWinWithUrl('detail_info', 'detail_info.html');
     } else {
          setLocVal("type", "scanner");
          appcan.openWinWithUrl('login', '../../login/login.html');
     }
}

//去购买
function goBuy(event, shop_id, shop_name) {
     stopEventBubble(event);
     if (getLocVal("login_if") == 1) {
          setLocVal("shop_id", shop_id);
          setLocVal("shop_name", shop_name);
          appcan.openWinWithUrl('order_confirmation', '../order_confirmation/order_confirmation.html');
     } else {
          setLocVal("type", "scanner");
          appcan.openWinWithUrl('login', '../../login/login.html');
     }
}

//去购买-扫码
function goBuy1(event, qrcode_num) {
     stopEventBubble(event);
     if (getLocVal("login_if") == 1) {
          setLocVal("qrdata", qrcode_num);
          appcan.openWinWithUrl('scanCode_payment', '../index_content/scanCode_payment.html');
     } else {
          appcan.openWinWithUrl('login', '../../login/login.html');
     }
}

////////////////////////////////////////////////////////////////////////////////////

function stopEventBubble(event) {
     var e = event || window.event;
     if(e && e.stopPropagation)  e.stopPropagation();
     else e.cancelBubble = true;
}


//=======================通过经纬度算距离=======================================
var EARTH_RADIUS = 6378137.0; //单位M 
var PI = Math.PI;
var datas = [];

function getRad(d){
    return d * PI / 180.0;
}

/**
 * 计算距离  
 */
function getDistance(vlng1,vlat1, vlng2, vlat2){
    var s = 0;
    var radLat1 = getRad(vlat1);
    var radLat2 = getRad(vlat2);
    var a = radLat1 - radLat2;
    var b = getRad(vlng1) - getRad(vlng2);
    
    var s = 2 * Math.asin(Math.sqrt(Math.pow(Math.sin(a / 2), 2) + Math.cos(radLat1) * Math.cos(radLat2) * Math.pow(Math.sin(b / 2), 2)));
    s = s * EARTH_RADIUS;
    s = Math.round(s * 10000) / 10000.0;
    
    s= s.toFixed(2);
    
    return s;
}


/**
 * google坐标转baidu坐标
 */
function google_to_baidu(gg_lat, gg_lon){
    var x = gg_lon, y = gg_lat;
    var z = Math.sqrt(x * x + y * y) + 0.00002 * Math.sin(y * PI);
    var theta = Math.atan2(y, x) + 0.000003 * Math.cos(x * PI); 
    var bd_lon = z * Math.cos(theta) + 0.0065;
    var bd_lat = z * Math.sin(theta) + 0.006;
    var bd_loc = [bd_lon,bd_lat]; 
    return bd_loc;
}

//==============================================================













