
//setLocVal("news_id",14448);

var iWindowWidth, iWindowHeight,videoHeight=0;

var _isPaly = false;

/** 直播数据  */
var liveData;
/** 是否没有直播开始 */
var isNoLive = false;
/** 没有直播时  开启定时器去获取直播信息 */
var globalTime=null;
/** 设备号 */
var _platformName='';

/** 0:app用户    1:微信用户    2:后台管理员 */
var user_origin='0';
var news_id = getLocVal("newsid");
var user_id =  getLocVal("user_id");
var live_open_category = getLocVal('live_open_category');
setLocVal('live_open_category','');

var chat_id;

appcan.ready(function() {
    
    //获取可视区宽度/高度
    iWindowWidth = window.innerWidth;
    iWindowHeight = window.innerHeight;
    
    _platformName = uexWidgetOne.platformName;
    
    if(_platformName == 'android'){
        uexWidget.setKeyboardMode({mode:1});
    }
    
    uexWindow.createProgressDialog({
      title:'',
      msg:'直播内容初始化中……',
      canCancel:1
    });
    
    getXiaoBianTalk();
    
    if(_platformName == 'android'){
        uexWindow.onKeyPressed=function(keyCode) {
            if(keyCode==0) {
                backBtn();
            }
        }
        uexWindow.setReportKey(0,1);   
    }else{
        uexWindow.setInlineMediaPlaybackEnable(true);//ios的video内联播放
    } 
    
    uexWindow.onNotification = onNotification;
    uexWindow.subscribeChannelNotification("Notification_index", "onNotification");
    
});


function onNotification(obj){
    console.log(obj);
    if(obj == "backBtn"){
        backBtn();
    }else if(obj == "shareBtn"){
        shareBtn();
    }else if(obj == "token"){
        var str = getLocVal('token_str');
        wenzi_danMuCreate(str);
    }else if(obj == "toupiao"){
        openPopView('toupiaoPop','../toupiao/toupiaoPop.html');
    }else if(obj == "red_envelope"){
        var id = getLocVal('red_envelope');
        createRedBags(id);
    }else if("danMu_click"){
        //videoClickEvent();
        myPlayer.controls = true;
        if(myPlayer.paused){
            myPlayer.play();
        }
    }
}



 function openContent(){
    var titHeight = $$("view").offsetHeight+$$("header").offsetHeight;
    appcan.frame.open("content", "index_content1.html", 0, titHeight);
    window.onorientationchange = window.onresize = function() {
        appcan.frame.resize("content", 0, titHeight);
    }
}


/** 直播信息列表  */
function getXiaoBianTalk(){
    
    var urlStr ='';
    if(live_open_category==1){
         urlStr = severUrl1 + 'web/wchat/get_wchat_info2.php?chat_id='+news_id;
    }else{
        urlStr = severUrl1 + 'web/wchat/get_wchat_info.php?news_id='+news_id
                            +"&user_id="+user_id
                            +"&user_origin="+user_origin;
    }
    console.log(urlStr);
    
    $.ajax({
        url: urlStr,
        type: "GET",
        dataType: "json",
        success: function(data){
            console.log("getXiaoBianTalk:",data);
            uexWindow.destroyProgressDialog();
            if(data.length > 0 && data[0].msg != 0){
                
                var sw = data[0].width;
                var sh = data[0].height;
                
                if((parseFloat(sw/sh)!= 0) && sh!=0){
                    videoHeight = iWindowWidth*sh/sw;
                    var h1 = $$("header").offsetHeight
                    $$("view").style.height = videoHeight+'px';
                    $$("content").style.height = parseFloat(iWindowHeight-videoHeight-h1)+'px';
					//alert(iWindowWidth+','+videoHeight);
                    $$("videoLive").style.width = iWindowWidth+'px';
                    $$("videoLive").style.height = videoHeight+'px';
                    
                }
                
                isNoLive = false;
                $(".view").removeClass('displayMy');
                damMu_height = $$("danMu").offsetHeight;
                clearTime();
                
                liveData = data;
                chat_id = liveData[0]['chat_id'];
                
                setLocVal("live_chat_id", chat_id);
                
                setLocVal('anji_liveData',JSON.stringify(data));
                
                if(data[0]['pic_uri']){
                    $$("poster").src = data[0]['pic_uri'];
                }
                
                openContent();
                
                setTimeout(function(){AnJiLive_points();},100000);
                setTimeout(function(){AnJiLive_points();},200000);
                setTimeout(function(){AnJiLive_points();},300000);
                setTimeout(function(){AnJiLive_points();},400000);
                setTimeout(function(){AnJiLive_points();},500000);
                
            }else{
                isNoLive =true;
                Global_time();
                $(".content").addClass('displayMy');
                $(".wu").removeClass('displayMy');
            }
        }
    });
}

/** 观看直播积分累积  */
function AnJiLive_points(){
   if(getLocVal("login_if") == 1){
     var urlStr = globalUrl + '/points/insert_points.php?user_id='+getLocVal('user_id')+'&module=20&category=19';
     $.ajax({ url: urlStr, type: "GET",dataType: "json",success: function(data){} });
   }
}


/** 打开弹幕层  */
function openDanMu(){ 
    uexWindow.insertPopoverBelowPopover("anji_live_danmu","danmu");
    var sP = window.getComputedStyle(document.body, null);
    uexWindow.openPopover("danmu","0","danmu.html","", 
            0,$$("header").offsetHeight,int(document.body.offsetWidth),parseInt(videoHeight*4/5),int(sP.fontSize),"0"); 
    }
   
    
    /** 全局定时循环定时器  */
function Global_time(){
    clearTime();
    globalTime = setTimeout(function(){
        getXiaoBianTalk();
    }, 3000);
}

function clearTime(){
    if(globalTime){
        clearTimeout(globalTime);
        globalTime=null;
    }
}

//************************************* Video ****************************************//

/** 直播是否播放   */
var _isPaly=false;

//播放按钮
var oPlayBtn = $$("playBtn");
var oPoster = $$("poster");
var box = $$("videoBox");
var myPlayer = $$("videoLive"); 

var oPlayBtn_H;
var oPlayBtn_W;

//播放按钮呗点击
oPlayBtn.onclick = function () {
    
    _isPaly=true;
    
    $(".playBtn").addClass("displayMy");
    $(".poster").addClass("displayMy");
    
    $(".videoLive").removeClass("displayMy");
    $$("videoLive").src=liveData[0].url;
    
    if(_platformName != 'android') uexWindow.setInlineMediaPlaybackEnable(true);
    
    androidVideo();
    
   // android呼叫显示弹幕
   if(_platformName == 'android'){
       openDanMu();
   }else{
       $(".danMu").removeClass("displayMy");
       damMu_height = $$("danMu").offsetHeight;
       //$$("danMu").style.height = damMu_height+'px';
   }
}

//**************** android ******************//

function androidVideo(){ // ios 拖动进度条时(pause -> play)

    myPlayer.addEventListener('play', function(){
        log_log("play");
        _isPaly=true; 
        if(liveData[0].if_live==1) startEndPalyBack();
    }, false);
    
    myPlayer.addEventListener('canplay', function(){
        log_log("canplay");
    }, false);
    
    myPlayer.addEventListener('pause', function(){
        log_log("pause");
        _isPaly=false;
        if(liveData[0].if_live==1) startEndPalyBack();
    }, false);
    
    myPlayer.addEventListener('ended', function(){
        log_log("ended");
        _isPaly=false; 
        if(liveData[0].if_live==1) startEndPalyBack();
    }, false);
    
    
    myPlayer.play();
    
    //测试
    // setInterval(function(){
        // myPlayer.currentTime++;
    // },1000);
    
}



/** android 视频暂停  */
function videoClick(){
    myPlayer.pause();
    _isPaly=false;
    if(liveData[0].if_live==1)  startEndPalyBack();
}


//*****************************  红包   ************************************************//

var redBags_id = 0;
var isCreateRedBags = false;

/** 红包数据设置 */
function createRedBags(id){
    
    if(isCreateRedBags){
        uexWindow.closePopover('redBags');
        isCreateRedBags = false;
    }
    
    uexWindow.toast(1,5,"一波红包正在袭来......",0);
    setTimeout(function(){
        var urlStr = severUrl1+ 'web/wchat/get_w_red_envelope_info.php?red_envelope_info_id='+id;
        $.ajax({
            url: urlStr,
            type: "GET",
            dataType: "json",
            success: function(data){
                uexWindow.closeToast();
                if(data.length > 0){
                    isCreateRedBags = true;
                    setLocVal("red_data", json_stringify(data));
                    openPopView('redBags','../redBags/redBags.html');
                    //uexWindow.publishChannelNotification("Notification_HOME_MSG", 'RedBags');
                }else{
                    uexWindow.alert("提示", "没有获取到红包数据！", "确定");
                }
            }
        });
    },200);
}




//********************************** 弹幕 *******************************************//
/** 弹幕ID */
var danMu_id=0;
/** ios弹幕高度 */
var damMu_height=0;

var isShow_danMu = true;

var clrArr = ['#99ff00','#0099ff','#ff3333','#ffff00','#ff0033','#cc00ff'];

function wenzi_danMuCreate(content){
    console.log("wenzi_danMuCreate:"+content);
    if(isShow_danMu){
        
        if(_platformName == 'android'){
            setLocVal("anji_live_danmu_msg",json_stringify(content));
            uexWindow.publishChannelNotification("Notification_AnJiLive_danmu_MSG", 'anji_live_danmu_msg');
        }else{
            danMu_id++;
            var top = Math.random()*1000%(damMu_height-20);
            
            var clr_i = int((Math.random()*10000)%clrArr.length);
            var html= '<div id="" class="ub ub-ac text-y" style="color:'+clrArr[clr_i]+';font-size:1em;">'+decodeURIComponent(content)+'</div>';
            var d = document.createElement('DIV');
            d.className="ub ub-ac  "+"danMu_"+danMu_id;
            d.id = "danMu_"+danMu_id;
            d.style.position = 'absolute';
            d.style.left = iWindowWidth+'px';
            d.style.zIndex=(Math.random()*1000)%990;
            d.innerHTML = html;
            $$("danMu").appendChild(d);
            
            var h = d.clientHeight;
            var H = top+h;
            if((top+h)>=damMu_height) $(d).css("bottom",(Math.random()*100)%10+'px');
            else                      $(d).css("top",top+'px');
            
            createDanMuActi("danMu_"+danMu_id);
        }
    }
}

/** 创建弹幕动画  */
function createDanMuActi(id){
    var speed = Math.random()*1000%3+8;
    var time = iWindowWidth/speed
    var h = $$(id).offsetWidth;
    //alert(time+", "+h);
    $("."+id).animate({left:'-'+h+'px'},time*100,'swing',function(){
        $$("danMu").removeChild($$(this.id));
    });
}

/** 是否显示弹幕 */
function setShow_danMu(isShow){
    isShow_danMu = isShow;
}

        
//*****************************************************************************//

function backBtn(){
    uexWindow.publishChannelNotification("Notification_index_content", 'close');
    if(_platformName == 'android') uexWidget.setKeyboardMode({mode:0});
    if(_isPaly) videoClick();
    if(timeT){
        clearInterval(timeT);
        timeI=null;
    }
    
    if(getLocVal("ifStartPageLink") == "1") {
        clearLocVal("ifStartPageLink");
        uexWindow.publishChannelNotification("openApp", "");  
    }
    
    
    appcan.window.close(-1);
}

function shareBtn(){
    if(isNoLive){
        uexWindow.alert('提示','暂无直播，不可分享！','确定');
    }else{
        if(!isAllSpace(liveData[0]['wx_title']) && !isAllSpace(liveData[0]['wx_content'])){ 
            uexActionSheet.onClickItem = function(data){
                //var urlStr = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx2dd22d0886e0d080&redirect_uri=http%3A%2F%2Fxy.yusong.com.cn%2Fmain%2Fredirect_index_anji_live.htm%3fagentId%3d40&response_type=code&scope=snsapi_userinfo&state=STATE#wechat_redirect";
                
                var urlStr = severUrl1+"web/AnJi_Live/anji_live.php?newsid="+getLocVal("live_chat_id");
                if(data==0){
                    wxshare('1', urlStr, null, null, '0');
                }else if(data==1){
                    wxshare('1', urlStr, null, null, '1');
                }   
            }
            
            var arr = [{name:"朋友对话"},{name:"朋友圈"}];
            showActionSheet(arr);
        }
    }
}

function showActionSheet(arr){
    var data = {"actionSheet_style":{
        "frameBgColor":"#ffffff",
        "frameBroundColor":"#ffffff",
        "frameBgImg":"",
        "btnSelectBgImg":"res://btn-act.png",
        "btnUnSelectBgImg":"res://btn.png",
        "cancelBtnSelectBgImg":"res://cancel-act.png",
        "cancelBtnUnSelectBgImg":"res://cancel.png",
        "textSize":"17",
        "textNColor":"#ffffff",
        "textHColor":"#22ade5", 
        "cancelTextNColor":"#ffffff",
        "cancelTextHColor":"#22ade5", 
        "actionSheetList":arr
        }
    };
    var JsonData =JSON.stringify(data);
    uexActionSheet.open(0, 0, 0, 0, JsonData);
}

//微信分享
//id   分享模式 0：文字 1：图片;txt 分享的文本内容；simg 缩略图（本地）;bimg 原图（本地、网络）;sence分享场景 0：对话 1：朋友圈
function wxshare(id,url,simg,bimg,sence) {
    
    var wx_title = liveData[0]['wx_title'];
    var wx_content = liveData[0]['wx_content'];
    
    if(_platformName == "Android" || _platformName == "android") {
        uexWeiXinAuthLogin.sendImageContent(sence, "res://share_wx.png", wx_title, url,wx_title,wx_content, client_id_wx);
    } else {
        uexWeiXin.registerApp(client_id_wx)
        uexWeiXin.sendImageContent(sence, "res://share_wx.png", "", url, wx_title, wx_content);
    }
    
    shareWeiXinCallback(getLocVal("user_id"), "07", getLocVal("newsid"), sence);
    
}

//打开自定义弹出窗口
function  openPopView(name, viewUrl){
    
    uexWindow.insertPopoverBelowPopover("anji_live"+name,name);
    var sP = window.getComputedStyle(document.body, null);
    uexWindow.openPopover(name, "0", viewUrl, "", int(0), int(0), int(sP.width), int(sP.height), int(sP.fontSize), "0");         
}

function videoClickEvent(){
    var evObj = document.createEvent('MouseEvents');
    evObj.initMouseEvent( 'click', true, true);
    myPlayer.dispatchEvent(evObj);
}


//******************************** 回放聊天内容   ***************************************//

/** 回放定时器   */
var timeT=null;
var ceateTime=null;

//var I_time=0

function startEndPalyBack(){
    console.log("startEndPalyBack:"+_isPaly);
    
    if(timeT){
        clearInterval(timeT);
        timeT=null;
    }
    
    if(ceateTime){
        clearTimeout(ceateTime);
        ceateTime=null;
    }
    
    createTimeout();
}

function createTimeout(){
    
    if(!_isPaly) return;
    
    if(timeT==null){
        getPlaybackTalk(parseInt(myPlayer.currentTime));
        timeT = setInterval(function(){
            if(!_isPaly){return;}
            getPlaybackTalk(parseInt(myPlayer.currentTime));
        },10000);
        //timeT = setTimeout(createTimeout,10000);
    }
}

var Playback_danMu_data;
function getPlaybackTalk(play_time){
    
    if(!_isPaly) return;
    
    var urlStr = severUrl+'web/wchat/get_wchat_record.php?chat_id='+chat_id+'&play_time='+play_time;
    $.ajax({
        url: urlStr,
        type: "GET",
        dataType: "json",
        success: function(data){
            if(data.length > 0){
                Playback_danMu_data='';
                Playback_danMu_data = data;
                createDanMu();
            }
        }
    });
}


function createDanMu(){
    
    if(ceateTime){
        clearTimeout(ceateTime);
        ceateTime=null;
    }
    
    if(!_isPaly) return;
    
    var time =  parseInt(myPlayer.currentTime);
    for (var i=0; i < Playback_danMu_data.length; i++) {
       if(time == Playback_danMu_data[i].now_time){
          wenzi_danMuCreate(Playback_danMu_data[i].content);
          var str = 'fabuTalk(\''+Playback_danMu_data[i].user_name+'\',\''+Playback_danMu_data[i].create_date+'\',\''+Playback_danMu_data[i].content+'\',\''+Playback_danMu_data[i].user_id+'\',\''+Playback_danMu_data[i].user_origin+'\')';
          console.log(str);
          uexWindow.evaluatePopoverScript("", "content", str);
       }
    }
    
    ceateTime = setTimeout(createDanMu,1000);
}

function log_log(content){
    //uexWindow.evaluatePopoverScript("", "content", "setHtml(\'"+content+"\')");
}

//*****************************************************************************//

