
function $$(id){
    return document.getElementById(id);
}

var setSliderView = function(data, divID, isOpenTitle, func){
    
    this.data = data;
    this.divID = divID;
    this.isOpenTitle = isOpenTitle;
    this.func = func;
}

setSliderView.prototype = {
    initSliderView:function(){
        
        if(this.data.length == 1){
            var html = ' <div id="" class="ub ub-f1 ub-ae ub-img7" style="height:100%;;background-image:url('+this.data[0].pic_uri+');" onclick="'+this.func+'(\''+this.data[0].pic_id+'\')">'
            
                if(this.isOpenTitle && this.data[0].title){  
                    html+='<div class="ub ub-pc ub-fh ub-ac ub-f1 ubas-nt p_float_r_b " style="background-color:rgba(0,0,0,0.3);padding:0.3em 0;">'
                        +' <div class="ut-s ub-f1 umar-l" style="color:#FFFFFF;font-size:0.9em" ><b id="title">'+this.data[0].title+'</b></div>';
                }
                html+='</div>'
            '</div>';
           
           $(this.divID).html(html);
            
        }else{
        
            var html = '<div id="news" style="overflow:hidden;height:100%;width:100%">'
               +' <div id="" class="ub-f1 tx-l t-bla" style="height:100%;width:100%"> '       
                   +'<div id="slider" class="ub-con ub ub-fh" style=""></div> '
                    +'<div class="ub ub-pc ub-fh ub-ac ub-f1 ubas-nt p_float_r_b " style="background-color:rgba(0,0,0,0.3);padding:0.3em 0;">';
                      if(this.isOpenTitle  && this.data[0].title)  
                        html+=' <div class="ut-s ub-f1 umar-l" style="color:#FFFFFF;font-size:0.9em" ><b id="title"></b></div>';
                        html+=' <div class="ub ub-ae umar-b umar-l umar-r" style="height:1em;" id="proint"></div>'
                    +'</div>'
               + '</div>'
           ' </div>';
           
           $(this.divID).html(html);
           this.initSlider();
       }
    },
    initSlider:function(){
        
         if(this.data.length>1){
              var html = '';
              for (var i=0; i < this.data.length; i++) {
                    var obj = this.data[i];
                    html += '<div class="ub " style="height:100%;width:100%">'
                        +'<div class="ub ub-f1 ub-img7 ub-ae" style="background-image:url(\''+obj.pic_uri+'\');" onclick="'+this.func+'(\''+obj.pic_id+'\')");"></div>'
                    +'</div>';
              };  
                
            $$("slider").innerHTML = html; 
            
            //显示小点
            var str = '';
            for(var i=0;i<this.data.length;i++) {
                if(i == 0) {
                    str += '<div id="num'+i+'" class="uc-a-for1 c-wh" style="margin-right:0.32em;width:0.25em;height:0.25em;"></div>';
                } else {
                    str += '<div id="num'+i+'" class="uc-a-for1 c-gra-for2" style="margin-right:0.32em;width:0.25em;height:0.25em"></div>';
                }
            }
            
            $$("proint").innerHTML=str;
            
            if(this.isOpenTitle && this.data[0].title) 
                $$("title").innerHTML=this.data[0].title;
            
            //滑动时当前图片的小点颜色为白色                            
            var slider = new zySlide("slider", "H", function(){
            },false,function(e) {
                
                var cur = slider.currentPoint;
                var length = slider.maxPoint;
                for (var n = 0; n <= length; n++) {
                    if (n == cur) 
                        $$("num" + n).className = 'uc-a-for1 uwh-for1 c-wh umar-r-for';
                    else 
                        $$("num" + n).className = 'uc-a-for1 uwh-for1 c-gra-for2 umar-r-for';
                }
                
            }); 
            
               //auto slide
            var Flag=true;
            setInterval(function(){
                if(slider.hasNext()&&Flag)
                    slider.toNext();
                else{
                    Flag=true;
                    slider.refu();
                    slider.toNext();
                }           
                var cur = slider.currentPoint;
                var length = slider.maxPoint;
                
                if(this.isOpenTitle && this.data[cur].title) 
                    $$("title").innerHTML=this.data[cur].title;
                
                for (var n = 0; n <= length; n++) {
                    if (n == cur) {
                        $$("num" + n).className = 'uc-a-for1 uwh-for1 c-wh umar-r-for';
                    }
                    else {
                        $$("num" + n).className = 'uc-a-for1 uwh-for1 c-gra-for2 umar-r-for';
                    }
                }
                 
            },3000); 
        }
    }
}



/**
 * 目标DIV </Br>
 * 标点DIV </Br>
 * 点击调用方法</Br>
 * row 行 </Br>
 * col 列 </Br>
 */
var SliderItem = function(onlyID, targetDiv, pointDiv, Func, options){
    var that = this;
    
    that.onlyID = onlyID;
    that.targetDiv = targetDiv;
    that.pointDiv = pointDiv;
    that.Func = Func;
    this.ifT = false;
    this.itemPage = 0;
    this.selItem;
    
    that.options={
        row:2,
        col:5,
        icon_h:2.5,
        icon_w:2.5,
        font_size_title:'0.8em',
        font_size_content:'0.5em',
        content_Clr:'#000000',
        sel_bg_Clr:null,//'#ebebeb'
        border:'',//1px solid #FFFFFF
        sel_border:null,//'#01B3E9'
        data:null,
        margin_top:1
    }
    
    for (var i in options) that.options[i] = options[i];
}


SliderItem.prototype = {
    
    initSliderItem:function(){
        var htmlStr = '';
        var len = this.options.data.length;
        this.page = Math.ceil(len/(this.options.row*this.options.col));
        
        for (var i=0; i < this.page; i++) {
            htmlStr += '<div id="'+this.onlyID+i+'"'+'class="ub ub-fh ub-ver" style="position:relative;" >';
             
            for (var j=0; j < this.options.row; j++) {
                
                htmlStr += '<div id="row_'+this.onlyID+j+'"'+'class="ub ub-fh" style="margin-top:'+this.options.margin_top+'em">';
                for (var n=0; n < this.options.col; n++) {
                    var a = i*(this.options.col*this.options.row)+j*this.options.col+n;
                    var obj =  this.options.data[a];
                    
                    if (obj == null) { //空白模块
                        htmlStr += '<div id="item_'+this.onlyID+a+'" class="ub ub-ac ub-pc ub-ver" style="width:'+100/this.options.col+'%;border:'+this.options.border+';" > '
                                +'<div class="ub-img6">'
                                +'</div>'
                                +'<div class="ub umar-at1_rd t-bla7 tx-c ulev-squ"></div>'
                             +'</div>';
                    }else{
                        htmlStr += '<div id="item_'+this.onlyID+n+'" class="ub ub-ac ub-pc ub-ver" style="width:'+100/this.options.col+'%;border:'+this.options.border+';" onclick="'+this.Func+'(\''+a+ '\')"> '
                                +'<div id="img'+this.onlyID+j+'" class=" ub-img7" style="width:'+this.options.icon_h+'em;height:'+this.options.icon_w+'em;background-image:url('+'\'' + obj.icon +'\''+')">'
                                +'</div>';
                                if(obj.module_name){
                                    htmlStr+='<div class="tx-c umar-t" style="font-size:'+this.options.font_size_title+';">'+obj.module_name+'</div>';
                                }
                            htmlStr+='</div>';
                             
                    }
                }
                htmlStr +='</div>';
            };
            htmlStr +='</div>';
        };
        
        $('#'+this.targetDiv).html(htmlStr);
    },
    initSliderItem1:function(){
        var htmlStr = '';
        var len = this.options.data.length;
        this.page = Math.ceil(len/(this.options.row*this.options.col));
        
        for (var i=0; i < this.page; i++) {
            htmlStr += '<div id="'+this.onlyID+i+'"'+'class="ub ub-fh " style="position:relative;" >'
                +'<div class="ub ub-f1 ub-ver" style="margin:0 0.5em; ">';
                
                for (var j=0; j < this.options.row; j++) {
                    
                    htmlStr += '<div id="row_'+this.onlyID+j+'"'+'class="ub ub-fh" style="margin-top:'+this.options.margin_top+'em;height:'+100/this.options.row+'%">';
                    for (var n=0; n < this.options.col; n++) {
                        var a = i*(this.options.col*this.options.row)+j*this.options.col+n;
                        var obj =  this.options.data[a];
                        
                        if (obj == null) { //空白模块
                            htmlStr += '<div id="item_'+this.onlyID+a+'" class="ub ub-ac ub-pc ub-ver uc-a1 ub-f1" style="border:'+this.options.border+';width:'+100/this.options.col+'%;" > '
                                    +'<div class="ub-img6">'
                                    +'</div>'
                                    +'<div class="ub umar-at1_rd t-bla7 tx-c ulev-squ"></div>'
                                 +'</div>';
                        }else{
                            //width:'+100/this.options.col+'%
                            htmlStr += '<div id="item_'+this.onlyID+a+'" class="ub ub-ac ub-pc ub-ver ub-f1 uc-a1" style=";border:'+this.options.border+';width:'+100/this.options.col+'%;" onclick="'+this.Func+'(\''+a+ '\')"> '
                                    +'<div id="img'+this.onlyID+a+'" class=" ub-img7" style="width:'+this.options.icon_h+'em;height:'+this.options.icon_w+'em;background-image:url('+'\'' + obj.icon +'\''+')">'
                                    +'</div>';
                                    if(obj.module_name){
                                        htmlStr+='<div class="tx-c umar-t" style="font-size:'+this.options.font_size_title+';">'+obj.module_name+'</div>'
                                        +'<div class="tx-c umar-t" style="font-size:'+this.options.font_size_content+';color:'+this.options.content_Clr+'">'+obj.module_content+'</div>';
                                    }
                                htmlStr+='</div>';
                                 
                        }
                    }
                    htmlStr +='</div>';
                };
                htmlStr +='</div>';
            htmlStr +='</div>';
        };
        
        $('#'+this.targetDiv).html(htmlStr);
    },
    initPagePoint:function(){
        if (this.page > 1) {
             
             if(!this.ifT){
                 this.ifT = true;
                 var str = '';
                 for(var i=0;i<this.page;i++) {
                    if(i == 0) {
                        str += '<div id="Point'+this.onlyID+i+'" class="uc-a-for1 personal_clr" style="width:0.25em;height:0.25em;"></div>';
                    } else {
                        str += '<div id="Point'+this.onlyID+i+'" class="uc-a-for1 pb-clr1" style="margin-left:0.32em;width:0.25em;height:0.25em;"></div>';
                    }
                }
                
                $('#'+this.pointDiv).html(str);
                $$(this.pointDiv).style.height='1.5em';
            }
            
            //滑动时当前图片的小点颜色为白色                            
            var sliderNN = new zySlide(this.targetDiv, "H", function(){},false,
            function(e) {
                var cur = sliderNN.currentPoint;
                sliderNN.that.itemPage = cur;
                var length = sliderNN.maxPoint;
                for (var n = 0; n <= length; n++) {
                    if (n == cur) 
                        $$("Point" +sliderNN.that.onlyID+ n).className = ' uc-a-for1 personal_clr';
                    else 
                        $$("Point" +sliderNN.that.onlyID+ n).className = 'uc-a-for1 pb-clr1 sc-text';
                }
            }); 
            sliderNN.that = this;
            sliderNN.moveToPoint(this.itemPage);
         };
    },
    setItem:function(index){
        var obj = $$('item_'+this.onlyID+index);
        if(this.selItem == index){
            this.selItem = null;
            if(this.options['sel_bg']) obj.style.backgroundColor='';
            if(this.options['sel_border']) obj.style.border=this.options['border'];
        }else{
            if(this.selItem){
                var obj1 = $$('item_'+this.onlyID+this.selItem);
                if(this.options['sel_bg']) obj1.style.backgroundColor='';
                if(this.options['sel_border']) obj1.style.border=this.options['border'];
            }
            
            this.selItem = index;
            if(this.options['sel_bg']) obj.style.backgroundColor=this.options['sel_bg'];
            if(this.options['sel_border']) obj.style.border=this.options['sel_border'];
        }
    },
    getItem:function(){
        if(this.selItem) return this.selItem;
        return null;
    }
}




var SliderView = function(targetDiv, pageNum, endFunc, scrollFunc, options){
    
    var that = this;
    that.targetDiv = targetDiv;
    that.endFunc = endFunc;
    that.scrollFunc = scrollFunc;
    that.pageNum = pageNum;
    
    that.options={
        width:'100%',
        height:'100%',
        scrollArr:[]
    }
    
    for (var i in options) that.options[i] = options[i];
}


SliderView.prototype = {
    
    initSliderView:function(){
        
        var html = '<div id="news_'+this.targetDiv+'" style="overflow:hidden;width:'+this.options['width']+';height:100%;">'
               +' <div id="" class="ub-f1 tx-l t-bla" style="width:'+this.options['width']+';height:100%;"> '       
                   +'<div id="slider" class="ub-con ub ub-fh" style=""></div> '
               + '</div>'
           ' </div>';
        
        $("#"+this.targetDiv).html(html);
        
        this.initPage();
    },
    initPage:function(){
        var htmlStr='';
        for (var i=0; i < this.pageNum; i++) {
            var scroll = 'm_scroll';
            var isH = this.options['scrollArr'][i]
            //if(this.options['scrollArr'].length>0 && this.options['scrollArr'][i]==1) scroll = 'm_scroll';
            if(!isH || isH == 0)scroll = '';
            
            htmlStr += '<div id="page_'+this.targetDiv+i+'"'+'class="page_'+this.targetDiv+i+' ub ub-ver '+scroll+'" style="width:'+this.options['width']+';height:100%;" ></div>';
            
        };
        
        $$("slider").innerHTML = htmlStr; 
        
        var sliderNN = new zySlide("slider", "H", function(){
            console.log("1:"+sliderNN.currentPoint);
            var cur = sliderNN.currentPoint;
            sliderNN.obj.endFunc(cur);
        },false,
        function(e) {
            console.log("2:"+sliderNN.currentPoint);
            var cur = sliderNN.currentPoint;
            sliderNN.obj.scrollFunc(cur);
        });
            
        sliderNN.obj = this;
        this.slider = sliderNN;
    },
    /**
     * 设置显示哪一页
     */
    setViewPage:function(id){
        this.slider.moveToPoint(id);
    },
    getViewPage:function(){
        return this.slider.currentPoint;
    }
}









