

var winWidth = document.body.offsetWidth;
var winHeight = document.body.offsetHeight;
var maxH = parseFloat(winHeight * 0.35)


var infoData;
/** 用户转盘机会  */
var user_chance; 
   
   appcan.ready(function() {
      
      initIScroll();
   });
   
   
   function initIScroll(){
       
       $("#wrapper")[0].style.width=winWidth+'px';
       $("#wrapper")[0].style.height=winHeight+'px';
       
       myscroll = new IScroll("#wrapper", {
          probeType: 2,
          preventDefault: false,
          interactiveScrollbars: true, 
          mouseWheel: true,
          scrollbars: false
       });

      
       setTimeout(function(){ 
           get_Slyder_Adventures_data(); 
       },100);

   }
   
    /** 活动数据加载  */
    function get_Slyder_Adventures_data(){
        uexWindow.toast({ type:1,location:5,msg:"活动加载中...",duration:0 });
        var urlStr = globalUrl + '/points/get_activity.php'
        $.ajax({
             url: urlStr,
             type: "GET",
             dataType: "json",
             success: function(data){
                  uexWindow.closeToast();
                  if(data.length>0){
                     
                     $("#wrapper").removeClass('uhide');
                     infoData = data;
                     
                     // $(".title-name").html(infoData[0].title);
                     // $(".startTime").html(infoData[0].start_time);
                     // $(".endTime").html(infoData[0].end_time);
                     $(".infoContent").html(infoData[0].content);
                     
                     get_activity_award();
                     get_activity_user_chance();
                     getUserPoints();
                     getUserJiangList();
                     getJiangList();
                     
                     myscroll.refresh();
                     
                  }else{
                       $(".no-data").removeClass('uhide');
                  }
             }
        });
    }
    

    /** 获取用户详情  */
    function getUserPoints(){
          var urlStr = globalUrl + '/points/get_user_points.php?user_id='+getLocVal('user_id');
          $.ajax({
             url: urlStr,
             type: "GET",
             dataType: "json",
             success: function(data){
                 if(data){
                      userIntegrate = parseFloat(data.points);
                      $("#user_score").html(userIntegrate);
                        myscroll.refresh();
                 }
             }
          });
    }
    
    /** 获取活动用户抽奖机会 */
    function get_activity_user_chance(){
       var urlStr = globalUrl + '/points/get_activity_user_chance.php?'+'user_id='+getLocVal('user_id')+'&activity_id='+infoData[0].activity_id;
       console.log(urlStr);
       $.ajax({
          url: urlStr,
          type: "GET",
          dataType: "json",
          success: function(data){
              if(data){
                   user_chance = data;
                   $("#award_num").html(data.chance_num);
                   myscroll.refresh();
              }
          }
       });
    }    
    
   
/********************************** 转盘 ****************************************************/

   /** 转盘数据 */
   var dataArr;

   var canvas;
   var bRotate=false; //是否在转动

   /** 奖品数据  */
   function get_activity_award(){
        
        var urlStr = globalUrl + '/points/get_activity_award.php?activity_id='+infoData[0].activity_id;
        console.log('getUserJiangList',urlStr);
        $.ajax({
             url: urlStr,
             type: "GET",
             dataType: "json",
             success: function(data){
                if(data.length>0){
                	console.log('activity_award:',data);
                	dataArr = data;
                    initZhuanPan();
                }
             }
        });

   }
   
   /** 大转盘初始化 */
   function initZhuanPan(){
   		
   		$(".zhuangPan").removeClass('uhide');

        var zhuangPan_bg=$(".zhuangPan-bg")[0], zhuangPan=$(".zhuangPan")[0];
        var h = zhuangPan_bg.offsetHeight*0.8;
        var w = zhuangPan_bg.offsetWidth;
        zhuangPan.style.height=h+'px';
        zhuangPan.style.width=h+'px';
        zhuangPan.style.top=h*0.2+'px';
        zhuangPan.style.left=(w-h)/2+'px';
        
        initCanvas(h);
        
        myscroll.refresh();
   }

   
   function initCanvas(height){
        
        var r = parseInt(height*0.9);

        canvas = document.getElementById("canvas");
        var context = canvas.getContext("2d");
        //屏幕系数
        var ratio = getRatio(context);

        //对画布通过系数进行放大
        canvas.width = r * ratio;
        canvas.height = r * ratio;
        context.scale(ratio, ratio);
        context.translate(0.5, 0.5);
        //把画布固定到可视宽高
        setTimeout(function(){
          canvas.style.width  = r + 'px';
          canvas.style.height = r + 'px';
          canvas.style.top    = height*0.1*0.5 + 'px';
          canvas.style.left   = height*0.1*0.5 + 'px';
        },50);
        
        drawWheelCanvas(context,r,dataArr);
        
   }
   

    
    /*
     * 渲染转盘
     * */
    function drawWheelCanvas(ctx,r,data){
         
        //屏幕系数
         var ratio = getRatio(ctx);
         
         var c_r1 = parseFloat(r*0.5);
         var c_r2 = parseFloat(r*0.1);
         var font_size = ratio*0.7*16;
         
    //    var canvas = ($("#wheelCanvas")).get()[0]; // 注意，jQuery获取的是包装过的对象，不是DOM对象,可以进行转换

        // 计算每块占的角度，弧度制
        var baseAngle = Math.PI * 2 / (data.length);

        //在给定矩形内清空一个矩形
        ctx.clearRect(0,0,r,r);

        //strokeStyle 绘制颜色
        ctx.strokeStyle = "#FFBE04"; // 红色
        //font 画布上文本内容的当前字体属性
        ctx.font = '12px Microsoft YaHei';

        // 注意，开始画的位置是从0°角的位置开始画的。也就是水平向右的方向。
        // 画具体内容
        for(var index = 0 ; index < data.length ; index++)
        {
            // 当前的角度
            var angle = 0 + index * baseAngle,
                rotate = angle + baseAngle / 2 + Math.PI / 2;

            // 填充颜色
            ctx.fillStyle = data[index].bg_clr;
            // 开始画内容
            // ---------基本的背景颜色----------
            ctx.beginPath();

            /*
             * 画圆弧，和IOS的Quartz2D类似
             * context.arc(x,y,r,sAngle,eAngle,counterclockwise);
             * x :圆的中心点x
             * y :圆的中心点x
             * sAngle,eAngle :起始角度、结束角度
             * counterclockwise : 绘制方向,可选，False = 顺时针，true = 逆时针
             * */
            ctx.arc(c_r1, c_r1, c_r1, angle, angle + baseAngle, false);
            ctx.arc(c_r1, c_r1, c_r2, angle + baseAngle, angle, true);
            ctx.stroke();
            ctx.fill();
            //保存画布的状态，和图形上下文栈类似，后面可以Restore还原状态（坐标还原为当前的0，0），
            ctx.save();

            /*----绘制奖品内容----重点----*/
            // 红色字体
            ctx.fillStyle = data[index].font_clr;
            ctx.font = "12px 黑体";
            var rewardName = data[index].award_name;
            var line_height = 1;
            // translate方法重新映射画布上的 (0,0) 位置
            // context.translate(x,y);
            // 见PPT图片，
            var translateX =  r * 0.5 + Math.cos(angle + baseAngle / 2) * r*0.4;
            var translateY =  r * 0.5 + Math.sin(angle + baseAngle / 2) * r*0.4;
            ctx.translate(translateX,translateY);

            // rotate方法旋转当前的绘图，因为文字适合当前扇形中心线垂直的！
            // angle，当前扇形自身旋转的角度 +  baseAngle / 2 中心线多旋转的角度  + 垂直的角度90°
            ctx.rotate(rotate);

            /** 下面代码根据奖品类型、奖品名称长度渲染不同效果，如字体、颜色、图片效果。(具体根据实际情况改变) **/
            // canvas 的 measureText() 方法返回包含一个对象，该对象包含以像素计的指定字体宽度。
            // fillText() 方法在画布上绘制填色的文本。文本的默认颜色是黑色. fillStyle 属性以另一种颜色/渐变来渲染文本
            /*
             * context.fillText(text,x,y,maxWidth);
             * 注意！！！y是文字的最底部的值，并不是top的值！！！
             * */
              //在画布上绘制填色的文本。文本的默认颜色是黑色

            ctx.fillText(rewardName, -ctx.measureText(rewardName).width / 2, 0);
            
            var imgx =  r * 0.5 + Math.cos(angle + baseAngle / 2) * r*0.3;
            var imgy =  r * 0.5 + Math.sin(angle + baseAngle / 2) * r*0.3;
            
            loadImages(ctx,rotate,data[index].award_pic,imgx,imgy);

            //还原画板的状态到上一个save()状态之前
            ctx.restore();

            /*----绘制奖品结束----*/

        }

        setTimeout(function(){
          $("#canvas").removeClass('uhide');
        },100);
    }


    function loadImages(ctx, rotate, url, x, y){
        if(url!=''){  //屏幕系数
          var ratio = getRatio(ctx);
          var img_size = 25;
          images = new Image();  
          images.rotate = rotate;
          images.src = url;  
          images.onload=function(){
              ctx.save(); 
              ctx.translate(x,y);
              ctx.rotate(rotate); 
              ctx.translate(-(x),-(y));
              ctx.drawImage(this,x-img_size/2,y-img_size/2,img_size,img_size); 
              ctx.restore();
          };
      }
    }  
   
    function getRatio(context){
        var devicePixelRatio = window.devicePixelRatio || 1;
        var backingStoreRatio = context.webkitBackingStorePixelRatio ||
                             context.mozBackingStorePixelRatio ||
                             context.msBackingStorePixelRatio ||
                             context.oBackingStorePixelRatio ||
                             context.backingStorePixelRatio || 1;
        var ratio = devicePixelRatio / backingStoreRatio;
        return ratio;
    }


    /** 转盘转起来！！！！！  */   
    function GoingClick(){

        // 正在转动，直接返回
        if(bRotate) return;
        bRotate = true;
        
        var category = 0;
        if(user_chance.user_free_num>0){
             part_points_activity(category,0);
        }else if(user_chance.user_share_num>0 && user_chance.sharing_num>0 && user_chance.category==1){ 
             category=1;
             part_points_activity(category,0);
        }else if(user_chance.chance_num==0 && user_chance.sharing_num==0 && user_chance.category==1){
             uexWindow.alert('提示','请分享后参与抽奖！','确定');
             bRotate = false;
             return false; 
        }else if(user_chance.category==2 && user_chance.user_points_num>0){
             uexWindow.confirm({
                 title:"提示",
                 message:"您是否确定消耗100积分来抽奖吗？",
                 buttonLabels:"取消,确定"
             },function(index){
                 if(index==1){
                    part_points_activity(category,0);
                 }else{
                    bRotate = false;
                 }
             });
        }else if(user_chance.category==2 && user_chance.user_points_num==0){
             part_points_activity(category,1);
             //uexWindow.alert('提示','您每月的抽奖机会已用完！','确定');
             bRotate = false;
        }else{
             part_points_activity(category,0);
        }

    }
    
    function part_points_activity(category,index){
         
        uexWindow.toast({ type:1,location:5,msg:"活动抽奖中...",duration:0 });
        var urlStr = globalUrl + '/points/part_points_activity.php?'
                                     + 'activity_id='+infoData[0].activity_id
                                     + '&user_id='+getLocVal('user_id')
                                     + '&category='+category;
        console.log('GoingClick:',urlStr);
        $.ajax({
             url: urlStr,
             type: "GET",
             dataType: "json",
             success: function(data){
                uexWindow.closeToast();
                if(data.resultid==1){
                    var i = 0;
                    var count = dataArr.length;
                    for ( ; i < count; i++) {
                         if(dataArr[i].award_id == data.award_id) break;
                    }
                    console.log('GoingClick: data',i,data.award_id);
                    // 开始抽奖
                    rotateFunc(i,count,dataArr[i].award_level_desc);
                }else{
                    bRotate = false;
                    if (index==1) {
                         uexWindow.alert('提示',data.msg,'确定');
                    }
                }
                
                get_activity_user_chance();
                
             }
        });
         
    }
    

    /*
    返回在n和m之间的随机整数
    n<= random <=m
    */
    function randomNum(n, m){
        /* Math.floor(Math.random()*10);时，可均衡获取0到9的随机整数。 */
        var random = Math.floor(Math.random()*(m-n)) + n;
        return random;
    }

   //旋转转盘 item:奖品序号，从0开始的; txt：提示语 ,count 奖品的总数量;
  var rotateFunc = function (item,count,tips){

      // 应该旋转的角度，旋转插件角度参数是角度制。
      var baseAngle = 360 / count;
      // 旋转角度 == 270°（当前第一个角度和指针位置的偏移量） - 奖品的位置 * 每块所占的角度 - 每块所占的角度的一半(指针指向区域的中间)
      angles = 360 * 3 / 4 - ( item * baseAngle) - baseAngle / 2; // 因为第一个奖品是从0°开始的，即水平向右方向
      $("#canvas").stopRotate();
      // 注意，jqueryrotate 插件传递的角度不是弧度制。
      
      var time = randomNum(5000,10000);
      
      // 哪个标签调用方法，旋转哪个控件
      $("#canvas").rotate({
          angle:0,
          animateTo:angles + 360 * 6, // 这里多旋转了5圈，圈数越多，转的越快
          duration:time,
          callback:function (){ // 回调方法
              bRotate = false;
              getUserPoints();
              getUserJiangList();
              uexWindow.alert('提示',tips,'确定');
          }
      });
  };
  
  
   
   
/**************************************************************************************/
   
   /** 用户获奖情况   */
   function getUserJiangList(){
        
        var urlStr = globalUrl + '/points/get_activity_user_record.php?user_id='+getLocVal('user_id')+'&page=1&recs=100';
        console.log('getUserJiangList',urlStr);
        $.ajax({
             url: urlStr,
             type: "GET",
             dataType: "json",
             success: function(data){
                  if(data.length>0){
                       setUserJiangList(data);
                  }
             }
        });
   }
   
   
   function setUserJiangList(data){
        
        var awardItem = function(obj){
           var str='';
           var btnT='兑 换',btnCss='exchange-Btn';
           if(obj.if_used==1) btnT='已兑换',btnCss='exchange-no-Btn';
           if(obj.if_used==2) btnT='已过期',btnCss='exchange-no-Btn';
           str += '<div class="ub ub-ac" style="margin:.7em 1em 0 1em;">'
                    +'<div class="ut-s ub-f1 jiang-title">'+obj.award_level_desc+'</div>'
                    +'<div id="'+obj.used_code+'" class="ub '+btnCss+' ub-pc">'+btnT+'</div>'
               +'</div>';
           return str;
        };


        $(".userJiang").removeClass('uhide');
        var html='',len=data.length;
        
        var num = (len>5)?5:len;
        
        for (var i=0; i < num; i++) {
            html += awardItem(data[i]);
        };
        $(".prizeList").html(html);
        
        if(len>5){
            html='';
            $(".more").removeClass('uhide');
            for (var j=5; j < len; j++) {
                html += awardItem(data[j]);
            };
            $(".prizeListMore").html(html);
        }

	   $(".exchange-Btn").on('click',function(event){
            stopEventBubble(event);
            exchangeAward(this);
        });
        
        myscroll.refresh();

   }
   
   var isOpen = false;
   function moreClick(){
        if(isOpen){
             isOpen=false;
             $(".moreTitle").html('展开显示更多');
             $(".btnDown").removeClass('point_rotate');
             $(".prizeListMore").slideUp(200,'swing',function(){
                  myscroll.refresh();
             });
        }else{
             isOpen=true;
             $(".moreTitle").html('收起');
             $(".btnDown").addClass('point_rotate');
             $(".prizeListMore").slideDown(200,'swing',function(){
                  myscroll.refresh();
             });
        }
   }
   
   function exchangeAward(dom){
        var id = dom.id;
        uexWindow.alert('提示','兑换码：'+id,'确定');
   }
   
/**************************************************************************************/
    
    /** 全部中奖滚动列表  **/
    function getJiangList(){
        
        var urlStr = globalUrl + '/points/get_activity_award_record.php?activity_id='+infoData[0].activity_id;
     	console.log('getJiangList:urlStr:',urlStr)
        $.ajax({
            url: urlStr,
            type: "GET",
            dataType: "json",
            success: function(data){
             	console.log('getJiangList:data:',data)
                if(data.length>0){
                    setJiangList(data);
                }
            }
        });
   }
   
   
   function  setJiangList(data){
        
        $(".recordList").removeClass('uhide');
        
        var html='',len=data.length;
        for (var i=0; i < len; i++) {
             html += '<div class="ub scroll-item ub-pc" >'+data[i].create_date+' '+data[i].phone+'获得 '+data[i].award_name+'</div>'
        };
        $("#marqueebox").html(html);
        
       /**startmarquee(一次滚动高度,速度,停留时间);**/　　  
       startmarquee(20, 1, 500);  
       
       myscroll.refresh(); 
   }
     
//******************************  滚动定时器    ********************************************************/  / 
        
     function startmarquee(lh, speed, delay) {
        var t=null;  
        var p = false;  
        var o = document.getElementById("marqueebox");  
        var oHeight = o.offsetHeight;  
        var preTop = 0;  
        o.scrollTop = 0;  
        function start() {
             
            if(t){
                 clearInterval(t); 
                 t=null;
            }
             
            t = setInterval(scrolling, speed);  
            o.scrollTop += 1;  
        }
        function scrolling() {
            if (o.scrollTop % lh != 0  
                    && o.scrollTop % (o.scrollHeight - oHeight - 1) != 0) {  
                preTop = o.scrollTop;
                o.scrollTop += 1;  
                if (preTop >= o.scrollHeight || preTop == o.scrollTop) {  
                    o.scrollTop = 0;  
                }  
            } else { 
                clearInterval(t);  
                setTimeout(start, delay);  
            }  
        }  
        setTimeout(start, delay);  
     }
 
        
        
/********************************** 分享   ****************************************************/
        
     function shareBtn(){
         uexActionSheet.onClickItem = function(data){
           var urlStr = globalUrl2+"/m.web/points/slyder_Adventures.php?activity_id="+infoData[0].activity_id;
           if(data==0){
               wxshare('1', urlStr, null, null, '0');
           }else if(data==1){
               wxshare('1', urlStr, null, null, '1');
           }   
         }
         var arr = [{name:"朋友对话"},{name:"朋友圈"}];
         showActionSheet(arr);
     }
     
     function showActionSheet(arr){
         var data = {"actionSheet_style":{
              "frameBgColor":"#ffffff",
              "frameBroundColor":"#ffffff",
              "frameBgImg":"",
              "btnSelectBgImg":"res://btn-act.png",
              "btnUnSelectBgImg":"res://btn.png",
              "cancelBtnSelectBgImg":"res://cancel-act.png",
              "cancelBtnUnSelectBgImg":"res://cancel.png",
              "textSize":"17",
              "textNColor":"#ffffff",
              "textHColor":"#22ade5", 
              "cancelTextNColor":"#ffffff",
              "cancelTextHColor":"#22ade5", 
              "actionSheetList":arr
             }
         };
         var JsonData =JSON.stringify(data);
         uexActionSheet.open(0, 0, 0, 0, JsonData);
     }
     
     //微信分享
     //id   分享模式 0：文字 1：图片;txt 分享的文本内容；simg 缩略图（本地）;bimg 原图（本地、网络）;sence分享场景 0：对话 1：朋友圈
     function wxshare(id,url,simg,bimg,sence) {
          
         var wx_title = infoData[0].title;
         var wx_content = '积分大转盘';
         if(uexWidgetOne.platformName == "Android" || uexWidgetOne.platformName == "android") {
             uexWeiXinAuthLogin.sendImageContent(sence, "res://share_wx.png", wx_title, url,wx_title,wx_content, client_id_wx);
         } else {
             uexWeiXin.registerApp(client_id_wx)
             uexWeiXin.sendImageContent(sence, "res://share_wx.png", "", url, wx_title, wx_content);
         }
         shareWeiXinCallback(getLocVal("user_id"), "10", infoData[0].activity_id, sence);
         
         setTimeout(function(){
              bRotate = false;
              getUserPoints();
              getUserJiangList();
         },100);
         
     }
        
(function isIPhoneX(){
    var u = navigator.userAgent;
    var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    if (isIOS) {     
        if ((screen.height == 812 && screen.width == 375) || (screen.height == 896 && screen.width == 414)){
            //是iphoneX
            //alert("iphoneX");
            $("#header")[0].style.padding = "1.4em 0 0 0 !important";
        }else{
            //不是iphoneX           
            $("#header")[0].style.padding = '1.4em 0 0 0';
        } 
    }
})();        
     